Get cards
curl --request GET \
--url https://app.payemcard.com/api/partner/v1/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.payemcard.com/api/partner/v1/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.payemcard.com/api/partner/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 123,
"current_page": 123,
"page_size": 123,
"results": [
{
"id": 123,
"type": "EMPLOYEE",
"status": "UNACTIVATED",
"label": "<string>",
"last_four": "<string>",
"card_network": "<string>",
"classification": {
"department_id": 123,
"account_id": 123,
"class_id": 123,
"location_id": 123
},
"vendor_details": {
"id": 123,
"name": "<string>"
},
"subsidiary_details": {
"id": 123,
"name": "<string>"
},
"employee_details": {
"id": 123,
"email": "<string>"
},
"spend_controls": {
"periodic_limits": {
"max_daily_amount": 123,
"max_weekly_amount": 123,
"max_monthly_amount": 123,
"max_quarter_amount": 123,
"max_yearly_amount": 123
},
"hard_limit": 123,
"max_single_transaction": 123,
"max_transactions_count": 123,
"valid_from": "2023-12-25",
"valid_to": "2023-12-25"
},
"usage": {
"day": 123,
"week": 123,
"month": 123,
"quarter": 123,
"year": 123,
"hard_limit": 123
},
"shared_with": [
123
]
}
]
}cards
Get cards
List cards available to the authenticated Partner.
GET
/
api
/
partner
/
v1
/
cards
Get cards
curl --request GET \
--url https://app.payemcard.com/api/partner/v1/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.payemcard.com/api/partner/v1/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.payemcard.com/api/partner/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 123,
"current_page": 123,
"page_size": 123,
"results": [
{
"id": 123,
"type": "EMPLOYEE",
"status": "UNACTIVATED",
"label": "<string>",
"last_four": "<string>",
"card_network": "<string>",
"classification": {
"department_id": 123,
"account_id": 123,
"class_id": 123,
"location_id": 123
},
"vendor_details": {
"id": 123,
"name": "<string>"
},
"subsidiary_details": {
"id": 123,
"name": "<string>"
},
"employee_details": {
"id": 123,
"email": "<string>"
},
"spend_controls": {
"periodic_limits": {
"max_daily_amount": 123,
"max_weekly_amount": 123,
"max_monthly_amount": 123,
"max_quarter_amount": 123,
"max_yearly_amount": 123
},
"hard_limit": 123,
"max_single_transaction": 123,
"max_transactions_count": 123,
"valid_from": "2023-12-25",
"valid_to": "2023-12-25"
},
"usage": {
"day": 123,
"week": 123,
"month": 123,
"quarter": 123,
"year": 123,
"hard_limit": 123
},
"shared_with": [
123
]
}
]
}Authorizations
Short-lived OAuth 2.0 access token. Tokens expire after five minutes.
Query Parameters
Filter by card owner ID. Applied only when card_type is also provided.
Filter by card type.
Available options:
EMPLOYEE, SINGLE-USE, VENDOR Filter by the last four digits of the card number.
Page number
Number of results per page. Defaults to 50. Values above 100 are clamped to 100.
Search string
Filter by card status.
Available options:
ACTIVE, ADMIN_SUSPENDED, AUTO_SUSPENDED, IN_PROCESS, PREACTIVE, TERMINATED, UNACTIVATED, USER_SUSPENDED Filter by subsidiary ID.
